Bug 1443033 (CVE-2017-7869)

Summary: CVE-2017-7869 gnutls: Out-of-bounds write related to the cdk_pkt_read function (GNUTLS-SA-2017-3)
Product: [Other] Security Response Reporter: Adam Mariš <amaris>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: apmukher, bmcclain, cfergeau, dblechte, eedri, erik-fedora, jv+fedora, lsurette, mgoldboi, michal.skrivanek, mike, nmavrogi, rh-spice-bugs, rjones, sardella, slawomir, srevivo, tmraz, ykaul, yozone
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: gnutls 3.5.10 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-08 03:10:36 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1443536, 1443537, 1443538, 1445139    
Bug Blocks: 1415638, 1443039    

Description Adam Mariš 2017-04-18 10:57:39 UTC
GnuTLS before 2017-02-20 has an out-of-bounds write caused by an integer overflow and heap-based buffer overflow related to the cdk_pkt_read function in opencdk/read-packet.c. This issue (which is a subset of the vendor's GNUTLS-SA-2017-3 report) is fixed in 3.5.10.

This issue affects only applications which utilize the OpenPGP certificate functionality of GnuTLS.

Comment 1 Adam Mariš 2017-04-18 11:03:09 UTC
External References:

https://www.gnutls.org/security.html#GNUTLS-SA-2017-3

Comment 2 Adam Mariš 2017-04-19 12:43:21 UTC
Created gnutls30 tracking bugs for this issue:

Affects: epel-6 [bug 1443537]


Created mingw-gnutls tracking bugs for this issue:

Affects: epel-7 [bug 1443538]
Affects: fedora-all [bug 1443536]

Comment 7 errata-xmlrpc 2017-08-01 08:50:14 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:2292 https://access.redhat.com/errata/RHSA-2017:2292